wake-up-neo.com

ImportError: Kein Modul mit dem Namen 'xlrd'

Ich verwende derzeit PyCharm mit Python Version 3.4.3 für dieses bestimmte Projekt.

Dieses PyCharm hatte zuvor Python2.7 und ich habe auf 3.4.3 aktualisiert.

Ich versuche, Daten aus einer Excel-Datei mit Pandas abzurufen.

Hier ist mein Code:

import pandas as pd

df = pd.read_Excel("File.xls", "Sheet1")
print (df)

Wenn ich diesen Code ausgeführt habe, erhalte ich diesen Fehler.

ImportError: No module named 'xlrd'

Ich suchte Stackoverflow und fand einige Vorschläge: Ich habe es mit versucht 

pip install xlrd

Aber als ich das getan habe, heißt es in der Nachricht 

"Requirement already satisfied: xlrd in ./anaconda2/usr/lib/python2.7/site-packages"

Irgendein Vorschlag?

21
King Java

Ich hatte das gleiche Problem. Ich ging zum Terminal (über Linux) und tippte 

Sudo pip3 install xlrd

Dann habe ich xlrd in Python importiert und den gleichen Code verwendet:

df = pd.read_Excel("File.xlsx", "Sheet1")
print (df)

Es hat für mich funktioniert !! 

21

Sie müssen die xlrd-Bibliothek herunterladen, da pandas erforderlich ist.

In Pycharm habe ich es unter Datei -> Einstellungen -> Projekt: [PROJEKTNAME] -> Projektinterpreter heruntergeladen enter image description here

4
Pedro Machado

Klicken Sie auf das Bulb-Symbol direkt neben "import xlrd" und klicken Sie auf install package clrd. Das Paket wird automatisch installiert

3
Azhar Uddin

Das Problem scheint auf mehrere python Versionen im System zurückzuführen zu sein, bei denen die Anforderungen für die eine und nicht für die andere Version erfüllt sein können.

In diesem Fall ist die Anforderung für python2 erfüllt, nicht jedoch für python3. Sie müssen angeben, dass der Download für python3 erfolgen muss.

In Bezug auf die oben genannten Antworten hat das für mich funktioniert

python3 -m pip install xlrd

die Angabe von python3 anstelle von pip3 hat bei mir funktioniert.

2
Aklank Jain

Wenn Sie sich in einem Terminal unter Bash oder einer anderen halb fortgeschrittenen Shell mit Tab-Vervollständigung befinden, schreiben Sie pip, gefolgt von <tab>. Wenn ich es tue, sehe ich geschrieben: 

[email protected]:~$ pip  
pip     pip3    pip3.5  pip3.6

Wie Sie sehen können, kann ich nur Pip-Befehle unter pip ausführen, aber ich kann auch neuere Versionen von pip auswählen. Um zu wissen, welche Version mit dem Befehl pip verbunden ist (mit nichts anderem), führen Sie wie gewohnt pip mit dem Flag --version oder -V aus. In meinem Fall ergibt pip -V:

[email protected]:~$ pip -V  
pip 9.0.1 from /usr/local/lib/python3.6/dist-packages (python 3.6)

Wenn Sie unter PyCharm entwickeln, können Sie außerdem Alt+Enter drücken, wenn sich der Cursor unter dem Modulnamen befindet, der nicht importiert werden kann, um ein kontextabhängiges schwebendes Menü zu öffnen, in dem Sie das Modul installieren können. (Sie können die Liste der installierten Module für eine bestimmte Python-Version auch im Einstellungsmenü von PyCharm unter dem Untermenü Project Interpreter verwalten.)

0
Acsor

Ich habe aus einigen Gründen Python 2.7, 3.5 und 3.6 in meiner Linux Mint Maschine. 

Mein Spyder verwendet Python 3.5 und ich hatte das gleiche Problem. Was ich getan habe ist 

  • gehe zum Ordner /usr/local/lib/python2.7/dist-packages
  • Kopieren Sie den Ordner xlrd (Um diese Aktion auszuführen, klicken Sie mit der rechten Maustaste und öffnen sich als root).
  • Gehen Sie jetzt zum /usr/local/lib/python3.5/dist-packages oder /usr/local/lib/python3.6/dist-packages und fügen Sie dort den Ordner xlrd ein. 

Es hat für mich funktioniert !!!

Diese Methode ändert den Standardpfad nicht, sodass ich weiterhin mit Python 2.7 fortfahren kann, ohne Schaden zu nehmen (etwas wie SageMath, das ich ausgiebig verwende).

0
David

Dasselbe passierte mir mit pycharm, ich hatte es mit pip, pip3 und anaconda installiert und es funktionierte immer noch nicht. Ich habe das Paket manuell von pycharm-> preferences -> project -> project interpreter -> + Installiert und es hat funktioniert.

0
nat

Durch Ausführen von pip install xlrd wurde die Installation abgeschlossen, der Fehler "Kein benanntes Modul mit dem Namen xlrd" wurde jedoch nicht behoben.

Das Kopieren des xlrd-Ordners in den Ordner, in dem die .py-Programme gespeichert sind, hat dieses Problem behoben.

0
Amal Raj